[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.WMSetFocus

Handles the LM_SETFOCUS message for the control.

## Declaration

Source position: comctrls.pp line 3641

`protected procedure TCustomTreeView.WMSetFocus(`
`var Message: TLMSetFocus`
`); message;`

## Arguments

`Message` |  | Window message handled in the method.

## Description

Calls the Invalidate method to redraw the control. Calls the inherited method prior to exit.

## See also

TWinControl.WMSetFocus |  | Handler for receiving Focus event.